Subject: Re: [homenet] building a home theater

From: Brian E Carpenter <[email-masked]>
Date: Mon, 10 Sep 2012 16:55:42 +0100

To be completely clear:

-------- Original Message --------
Subject: building a home theater
Date: Mon, 10 Sep 2012 07:13:40 -0700
From: Michael Thomas <[email-masked]>
To: Brian E Carpenter <[email-masked]>
CC: Ray Bellis <[email-masked]>,        "[email-masked] Group" <[email-masked]>
References: <[email-masked]> <[email-masked]>

On 09/10/2012 05:58 AM, Brian E Carpenter wrote:

COMMENT: Brian quoted this from Ray; Michael's MUA didn't add a second level of quotation

> If it can be shown that Unicast DNS is only need for resolution of _external_ names then much of the discussion around _internal_ naming probably becomes moot.

COMMENT: Brian said this:

> The right question is whether DNS is the appropriate solution for converting
> local devices names to addresses, or whether there is some other naming service that
> should be the standard. Since DNS is the IETF standard for converting names
> to addresses, there would need to be a pretty strong case for anything else.
>
>

COMMENT: Michael said this:

Maybe a thought experiment might help all of this along. In the
very near future, I will probably be able to buy components and
services like a display, an amp, anam/fm radio receiver, a cable/sat
decoder, a jukebox-like disk server, speakers, lighting controls,
internet based content services, and a popcorn popper. All IP
enabled all wireless most likely.

I want control these all from my phone, tablet or laptop where
there the app brings all of these things together and wirelessly
"wires" them all up much like banana plugs did before. I may
want to have many different profiles of what constitutes a
"theater" depending on whether I'm in the kitchen, on my
lard-o-matic, or in a fully vegetative state on the couch.

I need to be able to incrementally add components because
I'm not rich, and I might want to add ad hoc components because
my friends bring over some new gadget, or have content they'd
like to source, etc. And I need to be able to have multiple different
control points including possibly even allowing my friends to take
control of the system as a whole.

I generally want my app to control everything, but I am resigned
to the fact that every once in a while I'm going to need to go to
my speaker's web server and adjust things that are proprietary or
can't be controlled due to version skew.

So this is complicated, but naming is obviously a big  part of
assembling this. Discovery plays a part, especially in the
beginning, but repository based naming is also needed because I
want to bind more intuitive names like "Bose-sw-corner-livingroom"
to my components such that if I blow out one speaker, I can replace
it and not have the name I chose get thrown into the trash with
the old speaker.

This isn't really all that far off, or far out.

Mike